<app-header></app-header>

<div class="container">
  <div class="row">
    <div class="col-sm-9 col-md-7 col-lg-5 mx-auto">
      <div class="card shadow text-white bg-dark card-signin my-5">
        <div class="card-body">

          <h5 class="card-title text-center">Inscription</h5>

          <div *ngIf="errorMsg" class="text-danger text-center my-3">{{errorMsg}}</div>

          <form [formGroup]="inscriptionForm" (ngSubmit)="onSubmitSignUp()">

            <div class="form-group">
              <input type="email" id="inputEmail" class="form-control" formControlName="email" placeholder="Adresse mail" autofocus>
            </div>

            <div class="form-group">
              <input type="password" id="inputPassword" class="form-control" formControlName="password" placeholder="Mot de passe">
            </div>

            <button class="btn btn-lg btn-outline-success btn-block text-uppercase" type="submit">M'inscrire</button>
            <a class="btn btn-lg btn-outline-primary btn-block text-uppercase" routerLink="/">Retour à l'accueil</a>

          </form>

        </div>
      </div>
    </div>
  </div>
</div>
